> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Firecrawl Government Index を検索する

米国の連邦・州・地方自治体のソースから、法令、規則、法典、裁判所の判決、その他の政府刊行物などの一次法源や規制資料を検索します。結果は標準の `web` グループで返され、[`/search`](/ja/api-reference/endpoint/search) の web 結果と同じ形式です。

同じパスで `POST` も使用でき、同じフィールドを JSON ボディで指定します。未定義のフィールドを指定すると `400` エラーが返されます。

<CodeGroup>
  ```bash cURL theme={null}
  # APIキーなしですぐに試せます。より高いレート制限を利用するには -H "Authorization: Bearer $FIRECRAWL_API_KEY" を追加してください:
  curl -s "https://api.firecrawl.dev/v2/search/gov?query=food%20labeling%20requirements%20for%20allergens&k=10"
  ```

  ```bash cURL (POST) theme={null}
  curl -X POST https://api.firecrawl.dev/v2/search/gov \
    -H "Authorization: Bearer $FIRECRAWL_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "query": "food labeling requirements for allergens",
      "k": 10
    }'
  ```
</CodeGroup>

ワークフローの概要については、[Government Index ガイド](/ja/features/gov)を参照してください。


## OpenAPI

````yaml ja/api-reference/v2-openapi.json GET /search/gov
openapi: 3.0.0
info:
  contact:
    email: support@firecrawl.dev
    name: Firecrawl Support
    url: https://firecrawl.dev/support
  description: Firecrawlのサービスを利用して、Webスクレイピングやクロールを行うためのAPIです。
  title: Firecrawl API
  version: v2
servers:
  - url: https://api.firecrawl.dev/v2
security:
  - bearerAuth: []
paths:
  /search/gov:
    get:
      tags:
        - Government
      summary: Government Index を検索
      operationId: govSearch
      parameters:
        - description: 自然言語による質問または検索語句。
          in: query
          name: query
          required: true
          schema:
            minLength: 1
            type: string
        - description: 返す結果の件数。
          in: query
          name: k
          required: false
          schema:
            default: 10
            maximum: 100
            minimum: 1
            type: integer
      responses:
        '200':
          content:
            application/json:
              example:
                data:
                  web:
                    - description: 人間が食用とするすべての製品には、食品の栄養表示を行わなければならない…
                      position: 1
                      title: 21 CFR Part 101 -- Food Labeling
                      url: >-
                        https://www.ecfr.gov/current/title-21/chapter-I/subchapter-B/part-101
                success: true
              schema:
                $ref: '#/components/schemas/GovSearchResponse'
          description: '`web` グループに含まれる、順位付けされた Government Index の検索結果。'
        '400':
          description: 未知のフィールドを含むなど、無効なリクエスト
        '401':
          description: 無効なベアラートークン
        '429':
          description: レート制限を超過
        '502':
          description: 上流サービスのエラー
        '504':
          description: 上流サービスのタイムアウト
      security:
        - bearerAuth: []
components:
  schemas:
    GovSearchResponse:
      properties:
        data:
          properties:
            web:
              items:
                properties:
                  description:
                    description: 元の文書内で一致した箇所の抜粋。
                    type: string
                  position:
                    description: 結果一覧での順位（1から開始）。
                    type: integer
                  title:
                    type: string
                  url:
                    format: uri
                    type: string
                type: object
              type: array
          type: object
        success:
          type: boolean
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.